org.eclipse.actf.ai.voice.preferences.util

## Class ComboFieldEditor

- java.lang.Object
- - org.eclipse.jface.preference.FieldEditor
  - - org.eclipse.actf.ai.voice.preferences.util.ComboFieldEditor

Direct Known Subclasses:
  ComboButtonFieldEditor

    public class ComboFieldEditor
    extends FieldEditor

ComboFieldEditor has a combobox.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditor

`IS_VALID, VALUE`

### Method Summary

Methods
`Combo` `getComboControl()`
`int` `getNumberOfControls()`
`void` `setEnabled(boolean enabled, Composite parent)`

### Methods inherited from class org.eclipse.jface.preference.FieldEditor

`dispose, fillIntoGrid, getFieldEditorFontName, getLabelControl, getLabelText, getPreferenceName, getPreferenceStore, isValid, load, loadDefault, presentsDefaultValue, setFocus, setLabelText, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPropertyChangeListener, store`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNumberOfControls

    public int getNumberOfControls()

Specified by:
  `getNumberOfControls` in class `FieldEditor`

#### getComboControl

    public Combo getComboControl()

Returns:
  The combobox object.

#### setEnabled

    public void setEnabled(boolean enabled,
                  Composite parent)

Overrides:
  `setEnabled` in class `FieldEditor`